diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-enb-phy.cc ns-3.33/src/lte/model/lte-enb-phy.cc
--- ns-3.32/src/lte/model/lte-enb-phy.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-enb-phy.cc	2021-01-09 10:19:22.000000000 -0800
@@ -57,7 +57,7 @@
  * Data portion is fixed to 11 symbols out of the available 14 symbols.
  * 1 nanosecond margin is added to avoid overlapping simulator events.
  */
-static const Time DL_DATA_DURATION = NanoSeconds (785714 -1);
+static const Time DL_DATA_DURATION = NanoSeconds (785714 - 1);
 
 /**
  * Delay from the start of a DL subframe to transmission of the data portion.
@@ -99,15 +99,12 @@
    */
   virtual void SetCellId (uint16_t cellId);
 
-
 private:
   LteEnbPhy* m_phy; ///< the ENB Phy
 };
 
 EnbMemberLteEnbPhySapProvider::EnbMemberLteEnbPhySapProvider (LteEnbPhy* phy) : m_phy (phy)
-{
-
-}
+{}
 
 void
 EnbMemberLteEnbPhySapProvider::SendMacPdu (Ptr<Packet> p)
@@ -175,12 +172,12 @@
 {
   static TypeId tid = TypeId ("ns3::LteEnbPhy")
     .SetParent<LtePhy> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<LteEnbPhy> ()
     .AddAttribute ("TxPower",
                    "Transmission power in dBm",
                    DoubleValue (30.0),
-                   MakeDoubleAccessor (&LteEnbPhy::SetTxPower, 
+                   MakeDoubleAccessor (&LteEnbPhy::SetTxPower,
                                        &LteEnbPhy::GetTxPower),
                    MakeDoubleChecker<double> ())
     .AddAttribute ("NoiseFigure",
@@ -194,7 +191,7 @@
                    "are connected to sources at the standard noise "
                    "temperature T0.\"  In this model, we consider T0 = 290K.",
                    DoubleValue (5.0),
-                   MakeDoubleAccessor (&LteEnbPhy::SetNoiseFigure, 
+                   MakeDoubleAccessor (&LteEnbPhy::SetNoiseFigure,
                                        &LteEnbPhy::GetNoiseFigure),
                    MakeDoubleChecker<double> ())
     .AddAttribute ("MacToChannelDelay",
@@ -204,7 +201,7 @@
                    "intended to be used to model the latency of real PHY "
                    "and MAC implementations.",
                    UintegerValue (2),
-                   MakeUintegerAccessor (&LteEnbPhy::SetMacChDelay, 
+                   MakeUintegerAccessor (&LteEnbPhy::SetMacChDelay,
                                          &LteEnbPhy::GetMacChDelay),
                    MakeUintegerChecker<uint8_t> ())
     .AddTraceSource ("ReportUeSinr",
@@ -247,8 +244,7 @@
 
 
 LteEnbPhy::~LteEnbPhy ()
-{
-}
+{}
 
 void
 LteEnbPhy::DoDispose ()
@@ -536,48 +532,48 @@
     {
       switch ((*it)->GetMessageType ())
         {
-        case LteControlMessage::RACH_PREAMBLE:
-          {
-            Ptr<RachPreambleLteControlMessage> rachPreamble = DynamicCast<RachPreambleLteControlMessage> (*it);
-            m_enbPhySapUser->ReceiveRachPreamble (rachPreamble->GetRapId ());
-          }
-          break;
-        case LteControlMessage::DL_CQI:
-          {
-            Ptr<DlCqiLteControlMessage> dlcqiMsg = DynamicCast<DlCqiLteControlMessage> (*it);
-            CqiListElement_s dlcqi = dlcqiMsg->GetDlCqi ();
-            // check whether the UE is connected
-            if (m_ueAttached.find (dlcqi.m_rnti) != m_ueAttached.end ())
-              {
-                m_enbPhySapUser->ReceiveLteControlMessage (*it);
-              }
-          }
-          break;
-        case LteControlMessage::BSR:
-          {
-            Ptr<BsrLteControlMessage> bsrMsg = DynamicCast<BsrLteControlMessage> (*it);
-            MacCeListElement_s bsr = bsrMsg->GetBsr ();
-            // check whether the UE is connected
-            if (m_ueAttached.find (bsr.m_rnti) != m_ueAttached.end ())
-              {
-                m_enbPhySapUser->ReceiveLteControlMessage (*it);
-              }
-          }
-          break;
-        case LteControlMessage::DL_HARQ:
-          {
-            Ptr<DlHarqFeedbackLteControlMessage> dlharqMsg = DynamicCast<DlHarqFeedbackLteControlMessage> (*it);
-            DlInfoListElement_s dlharq = dlharqMsg->GetDlHarqFeedback ();
-            // check whether the UE is connected
-            if (m_ueAttached.find (dlharq.m_rnti) != m_ueAttached.end ())
-              {
-                m_enbPhySapUser->ReceiveLteControlMessage (*it);
-              }
-          }
-          break;
-        default:
-          NS_FATAL_ERROR ("Unexpected LteControlMessage type");
-          break;
+          case LteControlMessage::RACH_PREAMBLE:
+            {
+              Ptr<RachPreambleLteControlMessage> rachPreamble = DynamicCast<RachPreambleLteControlMessage> (*it);
+              m_enbPhySapUser->ReceiveRachPreamble (rachPreamble->GetRapId ());
+            }
+            break;
+          case LteControlMessage::DL_CQI:
+            {
+              Ptr<DlCqiLteControlMessage> dlcqiMsg = DynamicCast<DlCqiLteControlMessage> (*it);
+              CqiListElement_s dlcqi = dlcqiMsg->GetDlCqi ();
+              // check whether the UE is connected
+              if (m_ueAttached.find (dlcqi.m_rnti) != m_ueAttached.end ())
+                {
+                  m_enbPhySapUser->ReceiveLteControlMessage (*it);
+                }
+            }
+            break;
+          case LteControlMessage::BSR:
+            {
+              Ptr<BsrLteControlMessage> bsrMsg = DynamicCast<BsrLteControlMessage> (*it);
+              MacCeListElement_s bsr = bsrMsg->GetBsr ();
+              // check whether the UE is connected
+              if (m_ueAttached.find (bsr.m_rnti) != m_ueAttached.end ())
+                {
+                  m_enbPhySapUser->ReceiveLteControlMessage (*it);
+                }
+            }
+            break;
+          case LteControlMessage::DL_HARQ:
+            {
+              Ptr<DlHarqFeedbackLteControlMessage> dlharqMsg = DynamicCast<DlHarqFeedbackLteControlMessage> (*it);
+              DlInfoListElement_s dlharq = dlharqMsg->GetDlHarqFeedback ();
+              // check whether the UE is connected
+              if (m_ueAttached.find (dlharq.m_rnti) != m_ueAttached.end ())
+                {
+                  m_enbPhySapUser->ReceiveLteControlMessage (*it);
+                }
+            }
+            break;
+          default:
+            NS_FATAL_ERROR ("Unexpected LteControlMessage type");
+            break;
         }
     }
 }
@@ -624,12 +620,12 @@
       m_controlMessagesQueue.at (0).push_back (msg);
     }
 
-  if (m_srsPeriodicity>0)
-    { 
+  if (m_srsPeriodicity > 0)
+    {
       // might be 0 in case the eNB has no UEs attached
       NS_ASSERT_MSG (m_nrFrames > 1, "the SRS index check code assumes that frameNo starts at 1");
       NS_ASSERT_MSG (m_nrSubFrames > 0 && m_nrSubFrames <= 10, "the SRS index check code assumes that subframeNo starts at 1");
-      m_currentSrsOffset = (((m_nrFrames-1)*10 + (m_nrSubFrames-1)) % m_srsPeriodicity);
+      m_currentSrsOffset = (((m_nrFrames - 1) * 10 + (m_nrSubFrames - 1)) % m_srsPeriodicity);
     }
   NS_LOG_INFO ("-----sub frame " << m_nrSubFrames << "-----");
   m_harqPhyModule->SubframeIndication (m_nrFrames, m_nrSubFrames);
@@ -638,7 +634,7 @@
   std::list<UlDciLteControlMessage> uldcilist = DequeueUlDci ();
   std::list<UlDciLteControlMessage>::iterator dciIt = uldcilist.begin ();
   NS_LOG_DEBUG (this << " eNB Expected TBs " << uldcilist.size ());
-  for (dciIt = uldcilist.begin (); dciIt!=uldcilist.end (); dciIt++)
+  for (dciIt = uldcilist.begin (); dciIt != uldcilist.end (); dciIt++)
     {
       std::set <uint16_t>::iterator it2;
       it2 = m_ueAttached.find ((*dciIt).GetDci ().m_rnti);
@@ -649,7 +645,7 @@
         }
       else
         {
-          // send info of TB to LteSpectrumPhy 
+          // send info of TB to LteSpectrumPhy
           // translate to allocation map
           std::vector <int> rbMap;
           for (int i = (*dciIt).GetDci ().m_rbStart; i < (*dciIt).GetDci ().m_rbStart + (*dciIt).GetDci ().m_rbLen; i++)
@@ -657,7 +653,7 @@
               rbMap.push_back (i);
             }
           m_uplinkSpectrumPhy->AddExpectedTb ((*dciIt).GetDci ().m_rnti, (*dciIt).GetDci ().m_ndi, (*dciIt).GetDci ().m_tbSize, (*dciIt).GetDci ().m_mcs, rbMap, 0 /* always SISO*/, 0 /* no HARQ proc id in UL*/, 0 /*evaluated by LteSpectrumPhy*/, false /* UL*/);
-          if ((*dciIt).GetDci ().m_ndi==1)
+          if ((*dciIt).GetDci ().m_ndi == 1)
             {
               NS_LOG_DEBUG (this << " RNTI " << (*dciIt).GetDci ().m_rnti << " NEW TB");
             }
@@ -810,7 +806,7 @@
 void
 LteEnbPhy::EndSubFrame (void)
 {
-  NS_LOG_FUNCTION (this << Simulator::Now ().GetSeconds ());
+  NS_LOG_FUNCTION (this << Simulator::Now ().As (Time::S));
   if (m_nrSubFrames == 10)
     {
       Simulator::ScheduleNow (&LteEnbPhy::EndFrame, this);
@@ -825,12 +821,12 @@
 void
 LteEnbPhy::EndFrame (void)
 {
-  NS_LOG_FUNCTION (this << Simulator::Now ().GetSeconds ());
+  NS_LOG_FUNCTION (this << Simulator::Now ().As (Time::S));
   Simulator::ScheduleNow (&LteEnbPhy::StartFrame, this);
 }
 
 
-void 
+void
 LteEnbPhy::GenerateCtrlCqiReport (const SpectrumValue& sinr)
 {
   NS_LOG_FUNCTION (this << sinr << Simulator::Now () << m_srsStartTime);
@@ -889,7 +885,7 @@
       i++;
     }
   return (ulcqi);
-	
+
 }
 
 
@@ -916,7 +912,7 @@
     }
 }
 
-void 
+void
 LteEnbPhy::DoSetEarfcn (uint32_t ulEarfcn, uint32_t dlEarfcn)
 {
   NS_LOG_FUNCTION (this << ulEarfcn << dlEarfcn);
@@ -925,11 +921,11 @@
 }
 
 
-void 
+void
 LteEnbPhy::DoAddUe (uint16_t rnti)
 {
   NS_LOG_FUNCTION (this << rnti);
- 
+
   bool success = AddUePhy (rnti);
   NS_ASSERT_MSG (success, "AddUePhy() failed");
 
@@ -937,11 +933,11 @@
   DoSetPa (rnti, 0);
 }
 
-void 
+void
 LteEnbPhy::DoRemoveUe (uint16_t rnti)
 {
   NS_LOG_FUNCTION (this << rnti);
- 
+
   bool success = DeleteUePhy (rnti);
   NS_ASSERT_MSG (success, "DeleteUePhy() failed");
 
@@ -975,7 +971,7 @@
               if (dci->GetDci ().m_rnti == rnti)
                 {
                   NS_LOG_INFO ("DL_DCI to be sent from cell id : "
-                        << m_cellId << " to RNTI : " << rnti << " is deleted");
+                               << m_cellId << " to RNTI : " << rnti << " is deleted");
                   ctrlMsgListIt = ctrlMessageList.erase (ctrlMsgListIt);
                 }
               else
@@ -989,7 +985,7 @@
               if (dci->GetDci ().m_rnti == rnti)
                 {
                   NS_LOG_INFO ("UL_DCI to be sent from cell id : "
-                        << m_cellId << " to RNTI : " << rnti << " is deleted");
+                               << m_cellId << " to RNTI : " << rnti << " is deleted");
                   ctrlMsgListIt = ctrlMessageList.erase (ctrlMsgListIt);
                 }
               else
@@ -1064,7 +1060,7 @@
 {
   NS_LOG_FUNCTION (this << rnti << srs);
   std::map <uint16_t,uint16_t>::iterator it = m_srsSampleCounterMap.find (rnti);
-  if (it==m_srsSampleCounterMap.end ())
+  if (it == m_srsSampleCounterMap.end ())
     {
       // create new entry
       m_srsSampleCounterMap.insert (std::pair <uint16_t,uint16_t> (rnti, 0));
@@ -1096,7 +1092,7 @@
 LteEnbPhy::DequeueUlDci (void)
 {
   NS_LOG_FUNCTION (this);
-  if (m_ulDciQueue.at (0).size ()>0)
+  if (m_ulDciQueue.at (0).size () > 0)
     {
       std::list<UlDciLteControlMessage> ret = m_ulDciQueue.at (0);
       m_ulDciQueue.erase (m_ulDciQueue.begin ());
@@ -1119,7 +1115,7 @@
 {
   NS_LOG_FUNCTION (this);
   uint16_t p = GetSrsPeriodicity (srcCi);
-  if (p!=m_srsPeriodicity)
+  if (p != m_srsPeriodicity)
     {
       // resize the array of offset -> re-initialize variables
       m_srsUeOffset.clear ();
@@ -1147,7 +1143,7 @@
 }
 
 
-void 
+void
 LteEnbPhy::DoSetMasterInformationBlock (LteRrcSap::MasterInformationBlock mib)
 {
   NS_LOG_FUNCTION (this);
@@ -1178,4 +1174,4 @@
   m_enbPhySapUser->UlInfoListElementHarqFeeback (mes);
 }
 
-};
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-rlc.cc ns-3.33/src/lte/model/lte-rlc.cc
--- ns-3.32/src/lte/model/lte-rlc.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-rlc.cc	2021-01-09 10:19:22.000000000 -0800
@@ -55,12 +55,10 @@
 
 LteRlcSpecificLteMacSapUser::LteRlcSpecificLteMacSapUser (LteRlc* rlc)
   : m_rlc (rlc)
-{
-}
+{}
 
 LteRlcSpecificLteMacSapUser::LteRlcSpecificLteMacSapUser ()
-{
-}
+{}
 
 void
 LteRlcSpecificLteMacSapUser::NotifyTxOpportunity (TxOpportunityParameters params)
@@ -105,7 +103,7 @@
 {
   static TypeId tid = TypeId ("ns3::LteRlc")
     .SetParent<Object> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddTraceSource ("TxPDU",
                      "PDU transmission notified to the MAC.",
                      MakeTraceSourceAccessor (&LteRlc::m_txPdu),
@@ -114,7 +112,7 @@
                      "PDU received.",
                      MakeTraceSourceAccessor (&LteRlc::m_rxPdu),
                      "ns3::LteRlc::ReceiveTracedCallback")
-    ;
+  ;
   return tid;
 }
 
@@ -189,9 +187,9 @@
 {
   static TypeId tid = TypeId ("ns3::LteRlcSm")
     .SetParent<LteRlc> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<LteRlcSm> ()
-    ;
+  ;
   return tid;
 }
 
@@ -224,12 +222,12 @@
   Time delay;
   bool ret = rxPduParams.p->FindFirstMatchingByteTag (rlcTag);
   NS_ASSERT_MSG (ret, "RlcTag is missing");
-  delay = Simulator::Now() - rlcTag.GetSenderTimestamp ();
-  NS_LOG_LOGIC (" RNTI=" << m_rnti 
-                << " LCID=" << (uint32_t) m_lcid 
-                << " size=" << rxPduParams.p->GetSize ()
-                << " delay=" << delay.GetNanoSeconds ());
-  m_rxPdu(m_rnti, m_lcid, rxPduParams.p->GetSize (), delay.GetNanoSeconds () );
+  delay = Simulator::Now () - rlcTag.GetSenderTimestamp ();
+  NS_LOG_LOGIC (" RNTI=" << m_rnti
+                         << " LCID=" << (uint32_t) m_lcid
+                         << " size=" << rxPduParams.p->GetSize ()
+                         << " delay=" << delay.As (Time::NS));
+  m_rxPdu (m_rnti, m_lcid, rxPduParams.p->GetSize (), delay.GetNanoSeconds () );
 }
 
 void
@@ -255,9 +253,9 @@
 
   // RLC Performance evaluation
   NS_LOG_LOGIC (" RNTI=" << m_rnti
-                << " LCID=" << (uint32_t) m_lcid
-                << " size=" << txOpParams.bytes);
-  m_txPdu(m_rnti, m_lcid, txOpParams.bytes);
+                         << " LCID=" << (uint32_t) m_lcid
+                         << " size=" << txOpParams.bytes);
+  m_txPdu (m_rnti, m_lcid, txOpParams.bytes);
 
   m_macSapProvider->TransmitPdu (params);
   ReportBufferStatus ();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-rlc-sequence-number.cc ns-3.33/src/lte/model/lte-rlc-sequence-number.cc
--- ns-3.32/src/lte/model/lte-rlc-sequence-number.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-rlc-sequence-number.cc	2021-01-09 10:19:22.000000000 -0800
@@ -18,7 +18,7 @@
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
 
-#include "ns3/lte-rlc-sequence-number.h"
+#include "lte-rlc-sequence-number.h"
 
 namespace ns3 {
 
